Old 12th November 2016, 17:07   #1
Worez
Member
 
Join Date: May 2016
Posts: 62
Modern skin support plug-in "not" installed bug

I have this persistent bug. It manifests very rarely itself upon entering my Windows 7 x64

I have a docked always at the top Winamp in the form of Ticketbar; and the Winamp itself is always automatically opened at the startup in my OS



And so, every couple of days, I get a window with saying

Quote:
You are attempting to use a Modern skin ("Bento") but have not instaled the Modern skin support plug-in required to load these skins.

You will need to re-run the Winamp Installer to ensure you select Modern skin support to be able to use this skin.
Which is apparently not true, because aside from closing that error window, I do not have to do enything. Winamp works and looks the same as always



I use Winamp 5.666 + Bento 1.2.1
Worez is offline   Reply With Quote
Old 13th November 2016, 18:49   #2
Aminifu
Forum King
 
Aminifu's Avatar
 
Join Date: Aug 2011
Location: Chicago, IL
Posts: 4,578
This false error message is due to the "gen_ff.dll" support file sometimes taking longer than expected to load. Currently, this file normally takes relatively much longer to load than the other Winamp support files. Loading Winamp during the OS boot-up increases the relative times it takes for the main Winamp process and it's associated files to load.

Windows boot-up loading is not an orderly process. Everything selected to load is trying to load at the same time. Of course, this is not possible, so some files are forced to wait longer than they would if they were loading without the competition from all the other files loading during boot-up. The sequence of loading support files is also not the same during each boot-up.

Before closing this false error window, you can use the Windows Resource Monitor to verify that the "gen_ff.dll" is loaded. Click the checkbox to the left of the "winamp.exe" process in the top panel (Processes) of the Resource Monitor's CPU tab. Then look for this .dll file in the bottom panel (Associated Modules).

Among the goals of the unofficial upgrade for the current Winamp version, that DrO (former official Winamp developer) is working on, is to improve the Winamp support files loading process and decrease the time it takes for them to load and unload. DrO is currently looking for people to test the current beta version of his upgrade (https://getwinamp.com/community/).

Winamp Pro 5.666.3516 fully-patched - Komodo X Touchscreen by Victhor skin
Windows 10 Home 64-bit desktop - Logitech Z906 5.1 speaker system
Aminifu is offline   Reply With Quote
Old 21st November 2016, 17:23   #3
Worez
Member
 
Join Date: May 2016
Posts: 62
Thank you for the thorough explanation
Worez is offline   Reply With Quote
Old 22nd November 2016, 01:56   #4
nimd4
Junior Member
 
nimd4's Avatar
 
Join Date: Jul 2005
Location: Belgrade, Serbia
Posts: 13
Hi!..:)

Help me out, pls (I'm blind?!); Staring at the forum link, which you'd given, and all I can see are teh scrolling msgs - but, no way reg. and/or:
Quote:
If you've not already requested to be a beta tester & would like to then please send a PM to 'dro' to be added to the beta test group.
^ What, um, am I missing? o.0
code:
https://getwinamp.com/community/

Edit: Ah, Jeeh-sus!.. Ok, you gotta excuse me (LOL), it's ~4AM here. Eye can see teh REGISTER link at the top of the page - now. Duh (lolz), got it!.. Tnx! xD
nimd4 is offline   Reply With Quote
Reply
Go Back   Winamp & SHOUTcast Forums > Winamp > Winamp Bug Reports

Tags
bento, modern skin

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump